Description

There appear to be a couple of issues in the content host bulk actions.  The issues are regressions from recent changes.

The first issue is:

1. go to Hosts -> Content Hosts

2. select one or more hosts from the list

3. click 'Bulk Actions'

4. click 'Unregister Content Hosts'

Observe error indicating: "You are not authorized to perform this action."

Note: a similar error can occur for any bulk action that hits the systems_bulk_actions_controller

Once the first issue is solved:

1. go to Hosts -> Content Hosts

2. select one or more hosts from the list

3. click 'Bulk Actions'

4. click 'Errata'

Observe error in log indicating:

Completed 400 Bad Request in 91.2ms (Views: 0.5ms | ActiveRecord: 1.3ms)

With body: {"displayMessage":"Cannot sort by 'name'","errors":["Cannot sort by 'name'"]}

Associated revisions

Revision a5476c64 - 08/09/2014 11:13 AM - Brad Buckingham

fixes #6970 - content host bulk actions - fix 2 regressions

Stumbled across a couple of issues that need fixing.

1. unable to perform bulk actions (via systems_bulk_actions_controller)

due to permission denied errors

2. unable to retrieve applicable errata

Revision 59750983 - 08/13/2014 09:08 AM - Brad Buckingham

Merge pull request #4538 from bbuckingham/issue-6969

fixes #6970 - content host bulk actions - fix 2 regressions

History

#1 - 08/09/2014 11:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4538 added

- Pull request deleted ()
#2 - 08/13/2014 10:01 AM - Brad Buckingham

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|a5476c64b517a1f2be723d947b3645bfe68d473d.

#3 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
